---
lang: en
title: 'API docs: repository.embedsone'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.embedsone.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [embedsOne](./repository.embedsone.md)

## embedsOne() function

Decorator for embedsOne

<b>Signature:</b>

```typescript
export declare function embedsOne(definition?: Object): PropertyDecorator;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  definition | <code>Object</code> |  |

<b>Returns:</b>

`PropertyDecorator`

A property decorator


